//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "MSCommLib_OCX.h"
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include <Mask.hpp>
#include <Chart.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TChart *Chart1;
        TStaticText *max_power_text;
        TStaticText *min_power_text;
        TStaticText *aver_power_text;
        TStaticText *rmsdev_text;
        TLineSeries *Series1;
        TPanel *Panel1;
        TLabel *Label4;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label1;
        TEdit *Edit2;
        TEdit *Edit6;
        TEdit *Edit7;
        TEdit *Edit8;
        TComboBox *ComboBox3;
        TPanel *Panel3;
        TPanel *Panel4;
        TPanel *Panel7;
        TPanel *Panel2;
        TTimer *Reading_Timer;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *SaveData1;
        TMenuItem *Data1;
        TMenuItem *Curve1;
        TMenuItem *Exit1;
        TMenuItem *Start1;
        TMenuItem *Pause1;
        TMenuItem *Stop1;
        TSaveDialog *SaveDialog1;
        TPanel *Panel6;
        TBitBtn *BitBtn1;
        TComboBox *ComboBox1;
        TEdit *Edit1;
        TEdit *Edit3;
        TMenuItem *Calibration1;
        TPanel *Panel5;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TButton *Button4;
        TButton *Button5;
        TEdit *Edit4;
        TLabel *Label5;
        TEdit *Edit5;
        TEdit *Edit9;
        TButton *Button6;
        TButton *Button7;
        TLabel *Label6;
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall Reading_TimerTimer(TObject *Sender);
        void __fastcall Start1Click(TObject *Sender);
        void __fastcall Pause1Click(TObject *Sender);
        void __fastcall Stop1Click(TObject *Sender);
        void __fastcall Edit2Change(TObject *Sender);
        void __fastcall Edit6Change(TObject *Sender);
        void __fastcall ComboBox3Change(TObject *Sender);
        void __fastcall Edit7Change(TObject *Sender);
        void __fastcall Data1Click(TObject *Sender);
        void __fastcall Curve1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Calibration1Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
private:	// User declarations
        void SendCommand(const AnsiString& cmd);
        void SearchAvailablePorts();

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void __fastcall open_main_panel();
        void __fastcall connect_error();
        void __fastcall record_data();
        void __fastcall cal_laser_power();
        void __fastcall cal_rmsdev();
        void __fastcall get_sensor_type();
        void __fastcall get_rxd_cala();
        void __fastcall get_rxd_calb();
        void __fastcall get_rxd_offset();
        void __fastcall get_new_cala();
        void __fastcall dis_old_cala();
        void __fastcall dis_old_calb();
        void __fastcall get_rxd_str();


};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 